This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 433668 - printing multiple pages per sheet in printing dialog only works for some cases
printing multiple pages per sheet in printing dialog only works for some cases
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On: 433753
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-20 14:21 EST by Martin Jürgens
Modified: 2008-03-02 12:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 11:04:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Jürgens 2008-02-20 14:21:49 EST
Description of problem:
The printing of multiple pages per sheet in the printing dialog only works for
some cases.

Version-Release number of selected component (if applicable):
2.3.0-6.11.fc8

How reproducible:
Always

Steps to Reproduce:
A

1. Create a Text Document containing one site using Open Office
2. Press File -> Print
3. Select "2 copies"
4. Go to the tab "Page Setup" in the printing dialog and select "pages per side": 2
5. Press print
  
B

1. Create a Text Document containing one site using Open Office
2. Press File -> Print
3. Go to the tab "Page Setup" in the printing dialog and select "pages per side": 2
4. Press print

Actual results:
Nothing is being printed

Expected results:
For A: The same text should be printed two times on a page.
For B: Either the text should only be printed on half of the page nor the text
should be printed on the whole page.

Additional info:
Comment 1 Tim Waugh 2008-02-22 13:15:16 EST
A correction about the expected results.

+---+
| A |
|   |
+---+ x 2 copies

For case A, the expected output is two sheets:

+------+  +------+
| A    |  | A    |
|      |  |      |
+------+  +------+

Think about a 29 page hand-out: if the 15th sheet has page 29 of the first copy
and page 1 of the second copy, it's useless.

For case B, the expected output is a single page of one of the above two copies.
(i.e. A is two copies of B.)
Comment 2 Caolan McNamara 2008-02-27 11:04:19 EST
With the fixed cups of #433753 I now get the results of Comment #1 in
F-9/rawhide, I didn't check in F-8 but it should work there too I think, unless
the F-9 only improvements of #422661 are neccessary, but for this specific
example I don't think so.
Comment 3 Martin Jürgens 2008-02-27 13:12:19 EST
Yes I can confirm that the issues have been fixed. But I can think of a scenario
in which there's still something missing:

Imagine you are a teacher and write a class test which is 1 page long. Now, you
want to print it for your students and as they are young and have good eyes, you
want to put two class tests on a sheet.

The current way to do it is this way: You copy the class test and paste in on
another page. After, you select "two pages per sheet" and select the amount of
copies to be students / 2 which is not the best solution.
Comment 4 Martin Jürgens 2008-03-02 12:23:27 EST
Hm I better open a new bug report against GNOME's printing dialog.

Note You need to log in before you can comment on or make changes to this bug.